Subject: Re: 8260 - Spurious interrupts again

From: Hans Feldt <[email-masked]>
Date: Fri, 15 Nov 2002 12:13:50 +0100

On 11/15/02 09:58 AM, Shen Rong wrote:

>     I have the same problem like you, and I added a "sync" at the last line in
> m8260_mask_and_ack like you, and it solves the ploblem. But it is interesting
> that if I add a "sync" above the last line, it's also ok, that's

Well its the write to SIMR that needs a sync before enabling external
interrupts, not the sipnr variable.

> So I think there should be a time delay when we do mask&ack(&following operation maybe).

Don't agree, I believe the missing sync is a bug. I talked a Motorola
FAE yesterday and he says the same thing. It doesn't really matter if
you have the 8260 as a slave or not.

What does the maintainers of this code (Tom Rini?) think about it?

Thanks,
Hans

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/